require "import"
import "android.net.Uri"
import "org.json.JSONObject"

local function ucapkan(text)
  service.speak(text)
end

local function getTimeForCity(city, country)
  local apiUrl = "http://worldtimeapi.org/api/timezone/" .. city
  Http.get(apiUrl, function(status, data)
    if status == 200 then
      local timeData = JSONObject(data)
      local datetime = timeData.optString("datetime")
      local time = datetime:match("T(%d+:%d+):")
      if time ~= nil then
        ucapkan("Waktu saat ini di " .. country .. " adalah " .. time)
      else
        ucapkan("Tidak dapat menemukan waktu untuk " .. country)
      end
    else
      ucapkan("Tidak bisa terhubung ke server waktu. Tidak ada jaringan internet.")
    end
  end)
end

local cities = {
  {country = "Perancis", city = "Europe/Paris"},
  {country = "Amerika Serikat", city = "America/New_York"},
  {country = "Jepang", city = "Asia/Tokyo"},
  {country = "Australia", city = "Australia/Sydney"},
  {country = "India", city = "Asia/Kolkata"},
  {country = "Brasil", city = "America/Sao_Paulo"},
  {country = "Afrika Selatan", city = "Africa/Johannesburg"},
  {country = "Mesir", city = "Africa/Cairo"},
  {country = "Rusia", city = "Europe/Moscow"},
  {country = "Cina", city = "Asia/Shanghai"},
  {country = "Kanada", city = "America/Toronto"},
  {country = "Argentina", city = "America/Argentina/Buenos_Aires"},
  {country = "Indonesia", city = "Asia/Jakarta"},
  {country = "Inggris", city = "Europe/London"},
  {country = "Italia", city = "Europe/Rome"},
  {country = "Meksiko", city = "America/Mexico_City"},
  {country = "Spanyol", city = "Europe/Madrid"},
  {country = "Nigeria", city = "Africa/Lagos"},
  {country = "Arab Saudi", city = "Asia/Riyadh"}
}

for i, city in ipairs(cities) do
  getTimeForCity(city.city, city.country)
end